<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStocksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: stocks
         */
        Schema::create('stocks', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->string('code', 100)->nullable();
            $table->string('name', 255)->nullable();
            $table->string('uom', 100)->nullable();
            $table->string('part_no', 100)->nullable();
            $table->text('description')->nullable();
            $table->longText('images')->nullable();
            $table->text('remark')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('stocks');
    }
}
