Lavalite package that provides stock management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `survey/stock`.

    "survey/stock": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Survey\Stock\Providers\StockServiceProvider::class,

And also add it to alias

    'Stock'  => Survey\Stock\Facades\Stock::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Survey\\StockTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Survey\Stock\Providers\StockServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Survey\Stock\Providers\StockServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Survey\Stock\Providers\StockServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/stock/{modulename}

**User**

    http://path-to-route-folder/user/stock/{modulename}

**Public**

    http://path-to-route-folder/stocks


### API endpoints

**List**

    http://path-to-route-folder/api/user/stock/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/stock/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/stock/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/stock/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/stock/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/stock/{modulename}/{slug}
    METHOD: GET