<?php

// API routes  for category
Route::prefix('{guard}/stock')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('stocks/', 'CategoryPublicController@index');
Route::get('stocks/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for stocks
            Route::prefix('{guard}/stock')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for stocks
            Route::get('stock/Category', 'CategoryPublicController@getCategory');
        }
    );
}


// API routes  for stock
Route::prefix('{guard}/stock')->group(function () {
    Route::get('stock/form/{element}', 'StockAPIController@form');
    Route::resource('stock', 'StockAPIController');
});

// Public routes for stock
Route::get('stocks/', 'StockPublicController@index');
Route::get('stocks/{slug?}', 'StockPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for stocks
            Route::prefix('{guard}/stock')->group(function () {
                Route::get('stock/form/{element}', 'StockAPIController@form');
                Route::apiResource('stock', 'StockAPIController');
            });
            // Public routes for stocks
            Route::get('stock/Stock', 'StockPublicController@getStock');
        }
    );
}

