<?php

// web routes  for category
Route::prefix('{guard}/stock')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public routes for category
Route::get('stocks/', 'CategoryPublicController@index');
Route::get('stocks/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('stocks/', 'CategoryPublicController@index');
            Route::get('stocks/{slug?}', 'CategoryPublicController@show');
        }
    );
}


// web routes  for stock
Route::prefix('{guard}/stock')->group(function () {
    Route::resource('stock', 'StockResourceController');
});

// Public routes for stock
Route::get('stocks/', 'StockPublicController@index');
Route::get('stocks/{slug?}', 'StockPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StockResourceController');
            });
            // Public routes for pages
            Route::get('stocks/', 'StockPublicController@index');
            Route::get('stocks/{slug?}', 'StockPublicController@show');
        }
    );
}

