<?php

namespace Survey\Stock\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Survey\Stock\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'slug'              => $category->slug,
            'name'              => $category->name,
            'details'           => $category->details,
            'user_id'           => $category->user_id,
            'user_type'         => $category->user_type,
            'deleted_at'        => $category->deleted_at,
            'url'               => [
                'public'    => trans_url('stock/'.$category->getPublicKey()),
                'user'      => guard_url('stock/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}