<?php

namespace Survey\Stock\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StockTransformer extends TransformerAbstract
{
    public function transform(\Survey\Stock\Models\Stock $stock)
    {
        return [
            'id'                => $stock->getRouteKey(),
            'key'               => [
                'public'    => $stock->getPublicKey(),
                'route'     => $stock->getRouteKey(),
            ], 
            'category_id'       => $stock->category_id,
            'code'              => $stock->code,
            'name'              => $stock->name,
            'uom'               => $stock->uom,
            'part_no'           => $stock->part_no,
            'description'       => $stock->description,
            'images'            => $stock->images,
            'remark'            => $stock->remark,
            'deleted_at'        => $stock->deleted_at,
            'url'               => [
                'public'    => trans_url('stock/'.$stock->getPublicKey()),
                'user'      => guard_url('stock/stock/'.$stock->getRouteKey()),
            ], 
            'status'            => trans('app.'.$stock->status),
            'created_at'        => format_date($stock->created_at),
            'updated_at'        => format_date($stock->updated_at),
        ];
    }
}