<?php

namespace Survey\Stock;

use User;

class Stock
{
    /**
     * $category object.
     */
    protected $category;
    /**
     * $stock object.
     */
    protected $stock;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Stock\Interfaces\CategoryRepositoryInterface $category,
        \Survey\Stock\Interfaces\StockRepositoryInterface $stock)
    {
        $this->category = $category;
        $this->stock = $stock;
    }

    /**
     * Returns count of stock.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Survey\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('stock::' . $view, compact('category'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.stock.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->stock->pushCriteria(new \Litepie\Survey\Repositories\Criteria\StockUserCriteria());
        }

        $stock = $this->stock->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('stock::' . $view, compact('stock'))->render();
    }
}
